/******************************************************************************
FILE:               arguments.h
LANGUAGE:           ANSI-C
SYSTEM:             POSIX
USER-INTERFACE:     POSIX
DESCRIPTION
    Some routines to handle program arguments.
AUTHORS
    <PJB> Pascal J. Bourguignon <informatimago@free.fr>
MODIFICATIONS
    2000-09-16 <PJB> Creation.
BUGS
    Please report them to <informatimago@free.fr>
LEGAL
    Copyright Pascal J. Bourguignon 2000 - 2000

    GPL
    This file is part of the lgetvalue utility.

    This  program is  free software;  you can  redistribute  it and/or
    modify it  under the  terms of the  GNU General Public  License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program  is distributed in the  hope that it  will be useful,
    but  WITHOUT ANY WARRANTY;  without even  the implied  warranty of
    MERCHANTABILITY or FITNESS FOR  A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a  copy of the GNU General Public License
    along with  this program; see the  file COPYING; if  not, write to
    the Free  Software Foundation, Inc.,  59 Temple Place,  Suite 330,
    Boston, MA 02111-1307 USA

    Commercial licenses are available. Send your requests to informatimago@free.fr.
******************************************************************************/
#ifndef arguments_h
#define arguments_h


/* imports */

extern void usage(const char* pname);


/* exports */

extern int get_separator(char* separator,const char* argument,int position,
                         const char* pname);

extern int get_integer(int* number,const char* argument,
                       const char* pname,short positive);
/*
  positive==0 ==> number may take any value.
  postiive==1 ==> number must be >=0
  positive==2 ==> number must be >0
*/

#endif
/*** arguments.h                      -- 2000-09-16 02:44:31 -- pascal   ***/
